const path = require('path');

module.exports = {
  stories: ['../components/**/*.stories.@(ts|tsx|js|jsx|mdx)'],
  addons: ['@storybook/addon-links', '@storybook/addon-essentials'],
  webpackFinal: (config) => {
    config.resolve = {
      ...config.resolve,
      alias: {
        ...config.resolve.alias,
        '@components': path.resolve(__dirname, '../components'),
        '@contexts': path.resolve(__dirname, '../contexts'),
        '@lib': path.resolve(__dirname, '../lib'),
        '@styles': path.resolve(__dirname, '../styles')
      }
    };
    return config;
  },
  framework: {
    name: '@storybook/nextjs',
    options: {}
  }
};
