import '@styles/global.scss';

export const parameters = {
  options: {
    storySort: (a, b) => {
      // We want the Welcome story at the top
      if (b.title === 'Welcome') {
        return 1;
      }

      // Sort the other stories by ID
      // https://github.com/storybookjs/storybook/issues/548#issuecomment-530305279
      return a.title === b.title
        ? 0
        : a.id.localeCompare(b.id, { numeric: true });
    }
  },
  backgrounds: {
    default: 'Light',
    values: [
      {
        name: 'Light',
        value: '#ffffff'
      },
      {
        name: 'Dark',
        value: '#333333'
      },
      {
        name: 'Gray',
        value: '#e8e8e8'
      }
    ]
  }
};
