import { useEffect, useState } from 'react';
import Button from '@components/button';

export const NoPadding = (props) => {
  useEffect(() => {
    document.body.style.padding = '0';
    return () => (document.body.style.padding = '');
  });

  return <div {...props} />;
};

export const Space = (props) =>
  props.children.map((element) => (
    <div style={{ padding: '0.5em', display: 'inline-block' }}>{element}</div>
  ));

export const DirSwitch = ({ defaultDir = 'ltr', children }) => {
  const [dir, setDir] = useState(defaultDir);

  useEffect(() => {
    document.documentElement.setAttribute('dir', dir);
  }, [dir]);

  return (
    <>
      {typeof children === 'function' ? children(dir) : children}
      <p style={{ position: 'fixed', right: '1em', bottom: '1em', zIndex: 99 }}>
        {dir === 'rtl' ? (
          <Button size="sm" onClick={() => setDir('ltr')}>
            Switch to LTR
          </Button>
        ) : (
          <Button size="sm" onClick={() => setDir('rtl')}>
            Switch to RTL
          </Button>
        )}
      </p>
    </>
  );
};
